## libgnt-ocaml 1.0.0

=== Makefile ===
all: build

TESTS_FLAG=--enable-tests

NAME=xen-gnt
J=4

include config.mk
config.mk: configure
	        ./configure

configure: configure.ml
	        ocamlfind ocamlopt -package "cmdliner" -linkpkg $< -o $@
		rm -f configure.c* configure.o

LIBDIR=_build/lib

setup.ml: _oasis
	oasis setup

setup.data: setup.ml
	ocaml setup.ml -configure $(TESTS_FLAG) $(ENABLE_XENCTRL)

build: setup.data setup.ml
	ocaml setup.ml -build -j $(J)

doc: setup.data setup.ml
	ocaml setup.ml -doc -j $(J)

install: setup.data setup.ml
	ocaml setup.ml -install

uninstall:
	ocamlfind remove $(NAME)

test: setup.ml build
	LD_LIBRARY_PATH=$(LIBDIR):$(LD_LIBRARY_PATH) ./test_gntshr.native
#	ocaml setup.ml -test

reinstall: setup.ml
	ocamlfind remove $(NAME) || true
	ocaml setup.ml -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log config.mk

=== debian/changelog ===
libgnt-ocaml (1.0.0-2) UNRELEASED; urgency=low

  * Remove dependency on xen-missing-headers

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

libgnt-ocaml (1.0.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000

=== debian/control ===
Source: libgnt-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 blktap-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 qemu-system-x86,
 blktap-utils,
 camlp4-extra,
 ocaml-native-compilers,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 libcmdliner-ocaml-dev,
 libxen-dev

Package: libgnt-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-nox,
 ocaml-native-compilers,
 ocaml-findlib
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for userspace Xen grant table controls
 These APIs allow programs running in userspace to share memory with
 other domains on the same host. This can be used to (for example)
 implement disk or network backends.

Package: libgnt-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libgnt-ocaml (>= 1.0.0-2),
 libio-page-ocaml-dev,
 libxen-dev,
 blktap-dev,
 qemu-system-x86,
 blktap-utils
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-gnt
 The ocaml-gnt-devel package contains libraries and signature files
 for developing applications that use ocaml-gnt.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libgnt-ocaml/usr/lib/ocaml/xen-gnt/*.a
	rm -f debian/libgnt-ocaml/usr/lib/ocaml/xen-gnt/*.cmxa
	rm -f debian/libgnt-ocaml/usr/lib/ocaml/xen-gnt/*.cmx
	rm -f debian/libgnt-ocaml/usr/lib/ocaml/xen-gnt/*.ml
	rm -f debian/libgnt-ocaml/usr/lib/ocaml/xen-gnt/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
